function H=condicion_derivadas_H(h,CI,CD)

% Esta matriz sern los coeficientes que acompaan a los z para
% condiciones en la fronte CI=1 y CD=1 es decir de primer tipo en ambos
% extremos
% H es el trmino que acompaa a los Z tal que
% eta=6Hz+F
% Este sistema de ecuaciones viene de la condicin de continuidad de la
% primera derivada de la funcin Spline.
% Variables de entrada
% h=vector h de distancias entre las abscisas

n=length(h);
H=zeros(n+1,n+1);


% La primera ecuacin
if CI==1
    H(1,1)=-1/(6*h(1)); H(1,2)=1/(6*h(1));
elseif CI==2
    H(1,1)=0; H(1,2)=0;  
elseif CI==4
    H(1,1)=1;  

end

% Definimos el bucle que calcular los trminos intermedios
for i=2:n
    H(i,i)=-(1/h(i-1)+1/h(i));
    H(i,i+1)=1/h(i);
    H(i,i-1)=1/h(i-1);
end

% La dos ltima ecuacin
if CD==1
    H(n+1,n)=-1/(6*h(n)); H(n+1,n+1)=1/(6*h(n));
elseif CD==2
    H(n+1,n)=0; H(n+1,n+1)=0;
elseif CD==3
   H(n,n+1)=0; H(n,1)=1/h(n);
   H(n+1,1)=-1/h(1)-1/h(n); H(n+1,2)=1/h(1); H(n+1,n)=1/h(n); H(n+1,n+1)=0;
elseif CD==4
   H(n+1,n+1)=1;
end