function V=relacion_EtaLambda_V(h,CI,CD)

% Matriz coeficientes obtenida de la expresin del funcional, (dJ(s))/dEta)
% U*Eta=V*lambda
% V es la matriz q acompaa a lambda

% Variables de entrada:
% h=vector h de distancias entre las abscisas

% n es la dimensin del vector h
n=length(h);

% Las 2 primeras ecuaciones
if CI==1
    V(1,1)=h(1)/3; V(1,2)=h(1)/6;
    V(2,1)=h(1)/6; V(2,2)=(h(1)+h(2))/3; V(3,2)=h(2)/6;
elseif CI==2
    V(1,1)=-1; V(1,2)=h(1)/6;
    V(2,1)=0; V(2,2)=(h(1)+h(2))/3; V(3,2)=h(2)/6;
    
elseif CI==3
    V(1,1)=-1; V(1,2)=h(1)/6; V(1,n+1)=h(1)/3;
    V(2,1)=0; V(2,2)=1/3*(h(1)+h(2)); V(2,3)=h(2)/6; V(2,n+1)=h(1)/6;
elseif CI==4
    V(1,1)=0; V(1,2)=h(1)/6; V(1,n+1)=h(1)/3;
    V(2,1)=0; V(2,2)=1/3*(h(1)+h(2)); V(2,3)=h(2)/6; V(2,n+1)=h(1)/6;
end


% Definimos el bucle que calcular los trminos intermedios
for i=3:n-1
    V(i,i)=(h(i-1)+h(i))/3;
    V(i-1,i)=h(i-1)/6;
    V(i+1,i)=h(i)/6;
end

% Las dos ltimas ecuaciones
if CD==1
    V(n+1,n)=h(n)/6; V(n+1,n+1)=-h(n)/3;
    V(n,n-1)=h(n-1)/6; V(n,n)=(h(n-1)+h(n))/3; V(n,n+1)=-h(n)/6;
elseif CD==2
     V(n+1,n)=h(n)/6; V(n+1,n+1)=-1;
    V(n,n-1)=h(n-1)/6; V(n,n)=(h(n-1)+h(n))/3; V(n,n+1)=0;  
elseif CD==3
    V(n+1,1)=1; V(n+1,n)=h(n)/6; V(n+1,n+1)=h(n)/3;
    V(n,n-1)=h(n-1)/6; V(n,n)=1/3*(h(n-1)+h(n)); V(n,n+1)=h(n)/6;
elseif CD==4
    V(n+1,1)=0; V(n+1,n)=h(n)/6; V(n+1,n+1)=0;
    V(n,n-1)=h(n-1)/6; V(n,n)=2/3*(h(n-1)+h(n)); V(n,n+1)=h(n)/6;
   
end



